Package org.globus.gsi

# Class VersionUtil

java.lang.Object
org.globus.gsi.VersionUtil

public class VersionUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`VersionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isGsi2Enabled()`
Checks if GSI-2 mode is enabled.
`static boolean`
`isGsi3Enabled()`
Checks if GSI-3 mode is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionUtil

public VersionUtil()

## Method Details

### isGsi3Enabled

public static boolean isGsi3Enabled()
Checks if GSI-3 mode is enabled.

Returns:
  true if "org.globus.gsi.version" system property is set to "3". Otherwise, false.

### isGsi2Enabled

public static boolean isGsi2Enabled()
Checks if GSI-2 mode is enabled.

Returns:
  true if "org.globus.gsi.version" system property is set to "2". Otherwise, false.